<!--formGroup to je da povezemo form sa poljem u .ts fajlu-->
<!--<img [src]="backgroundImage" alt="">-->
<body>
    <form [formGroup]="registerForm" (ngSubmit)="onSubmitForm()" class="registerbox">
    <h1>Register</h1>

    <div class="required fluid field" [ngClass] = "{ error : jmbgHasErrors() }">
        <label for="jmbg">JMBG</label>
        <input type="text" formControlName="JMBG" placeholder="Unesite JMBG"><br>
    </div>
    <div class="error-message" *ngIf="JMBGErrors().length > 0 "> 
        <ul>
            <li *ngFor="let errorMessage of JMBGErrors()" fontColor = "red">{{ errorMessage }}</li>
        </ul>
    </div>

    <div class="required fluid field"  [ngClass] = "{ error : LBOHasErrors() }">
        <label for="lbo">LBO</label>
        <input type="text" formControlName="LBO" placeholder="Unesite LBO"><br>
    </div>

    <div class="error-message" *ngIf="LBOErrors().length > 0 "> 
        <ul>
            <li *ngFor="let errorMessage of LBOErrors()" fontColor = "red">{{ errorMessage }}</li>
        </ul>
    </div>


    <div class="required fluid field" [ngClass] = "{ error : emailHasErrors() }">
        <label for="email">email</label>
        <input type="text" formControlName="email" placeholder="email@gmail.com"><br>
    </div>

    <div class="error-message" *ngIf="emailErrors().length > 0 "> 
        <ul>
            <li *ngFor="let errorMessage of emailErrors()" fontColor = "red">{{ errorMessage }}</li>
        </ul>
    </div>

    <div class="required fluid field"  [ngClass] = "{ error : imeHasErrors() }">
        <label for="ime">Ime</label>
        <input type="text" formControlName="ime" placeholder="Unesite ime"><br>
    </div>

    <div class="error-message" *ngIf="imeErrors().length > 0 "> 
        <ul>
            <li *ngFor="let errorMessage of imeErrors()" fontColor = "red">{{ errorMessage }}</li>
        </ul>
    </div>

    <div class="required fluid field"  [ngClass] = "{ error : prezimeHasErrors() }">
        <label for="prezime">Prezime</label>
        <input type="text" formControlName="prezime" placeholder="Unesite prezime"><br>
    </div>

    <div class="error-message" *ngIf="prezimeErrors().length > 0 "> 
        <ul>
            <li *ngFor="let errorMessage of prezimeErrors()" fontColor = "red">{{ errorMessage }}</li>
        </ul>
    </div>

    <div class="required fluid field" [ngClass] = "{ error : godisteHasErrors() }">
        <label for="godiste">Godiste</label>
        <input type="text" formControlName="godiste" placeholder="Unesite godiste gggg"><br>
    </div>


    <div class="error-message" *ngIf="godisteErrors().length > 0 "> 
        <ul>
            <li *ngFor="let errorMessage of godisteErrors()" fontColor = "red">{{ errorMessage }}</li>
        </ul>
    </div>


    <div class="required fluid field" [ngClass] = "{ error : adresaHasErrors() }">
        <label for="adresa">Adresa</label>
        <input type="text" formControlName="adresa" placeholder="Unesite adresu"><br>
    </div>


    <div class="error-message" *ngIf="adresaErrors().length > 0 "> 
        <ul>
            <li *ngFor="let errorMessage of adresaErrors()" fontColor = "red">{{ errorMessage }}</li>
        </ul>
    </div>

    <div class="required fluid field" [ngClass] = "{ error : gradHasErrors() }">
        <label for="grad">Grad</label>
        <input type="text" formControlName="grad" placeholder="Unesite grad"><br>
    </div>


    <div class="error-message" *ngIf="gradErrors().length > 0 "> 
        <ul>
            <li *ngFor="let errorMessage of gradErrors()" fontColor = "red">{{ errorMessage }}</li>
        </ul>
    </div>

    <div class="required fluid field" [ngClass] = "{ error : telefonHasErrors() }">
        <label for="telefon">Telefon</label>
        <input type="text" formControlName="telefon" placeholder="Unesite kontakt telefon"><br>
    </div>

    <div class="error-message" *ngIf="telefonErrors().length > 0 "> 
        <ul>
            <li *ngFor="let errorMessage of telefonErrors()" fontColor = "red">{{ errorMessage }}</li>
        </ul>
    </div>

    <div class="required fluid field" [ngClass] = "{ error : polHasErrors() }">
        <label for="pol" class="pol">Pol</label>
        <div class="pol">
            <input type="radio" id="musko" name="pol" value="M" formControlName="pol">
            <label for="musko">M</label><br>
  		    <input type="radio" id="zensko" name="pol" value="Z" formControlName="pol">
  		    <label for="zensko">Z</label><br>
        </div>
    </div>

    <div class="error-message" *ngIf="polErrors().length > 0 "> 
        <ul>
            <li *ngFor="let errorMessage of polErrors()" fontColor = "red">{{ errorMessage }}</li>
        </ul>
    </div>

    <div class="required fluid field" [ngClass] = "{ error : doktorHasErrors() }" >
        <label for="doktor">Doktor</label>
        <input type="text" formControlName="doktor" placeholder="Unesite id doktora"><br>
    </div>

    <div class="error-message" *ngIf="doktorErrors().length > 0 "> 
        <ul>
            <li *ngFor="let errorMessage of doktorErrors()" fontColor = "red">{{ errorMessage }}</li>
        </ul>
    </div>

    <div class="required fluid field" [ngClass] = "{ error : alergijeHasErrors() }">
        <label for="alergije">Alergije</label>
        <input type="text" formControlName="alergije" placeholder="Unesite poznate alergije"><br>
    </div>

    <div class="error-message" *ngIf="alergijeErrors().length > 0 "> 
        <ul>
            <li *ngFor="let errorMessage of alergijeErrors()" fontColor = "red">{{ errorMessage }}</li>
        </ul>
    </div>

    <div class="required fluid field" [ngClass] = "{ error : lozinkaHasErrors() }">
        <label for="lozinka">Lozinka:</label>
        <input type="password" formControlName="lozinka" placeholder="Unesite lozinku"><br>
    </div>

    <div class="error-message" *ngIf="lozinkaErrors().length > 0 "> 
        <ul>
            <li *ngFor="let errorMessage of lozinkaErrors()" fontColor = "red">{{ errorMessage }}</li>
        </ul>
    </div>

    <br>
        <button class="ui button" type="submit" [disabled]="!validFormular"> Zapamti korisnika </button>
        <button class="ui button" (click) = "backToHomePage()"> Nazad </button>
    </form>
    </body>